# salt.states.win_wusa

Microsoft Updates (KB) Management

This module provides the ability to enforce KB installations from files (.msu), without WSUS or Windows Update

Added in version 2018.3.4.

salt.states.win_wusa.installed(name, source)

  Ensure an update is installed on the minion

  Parameters:

    - name (str) -- Name of the Windows KB ("KB123456")

    - source (str) -- Source of .msu file corresponding to the KB

  Example:

      KB123456:
        wusa.installed:
          - source: salt://kb123456.msu

salt.states.win_wusa.uninstalled(name)

  Ensure an update is uninstalled from the minion

  Parameters:

    name (str) -- Name of the Windows KB ("KB123456")

  Example:

      KB123456:
        wusa.uninstalled